% MÉTODO DE LA POTENCIA CON TRASLACIÓN

% Autovalores: 4, 3, 2, 1
A2 = [-1,3,-5,2; -7,7,-7,4; -1,1,1,0; -2,3,-5,3];
% La convergencia depende de (4-3)/4 (mayor -> convergencia más rápida)

A = A2-2*eye(4);
%Para esta matriz la rapidez de convergencia depende de (2-1)/2
% -> La convergencia es más rápida
v = rand(size(A,1),1);
v = v/norm(v);

N = 10;
for k=1:N
    vn = A*v;
    v = vn/norm(vn);
end

disp('Aproximación del autovector')
disp(v)
disp('Aproximación del autovalor')
disp(v'*A*v+2)